/*

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; version 2
 of the License.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

//#import <Foundation/Foundation.h>
//#import <UIKit/UIKit.h>

//#define BIT_00  0x01
//#define BIT_01  0x02
//#define BIT_02  0x04
//#define BIT_03  0x08
//#define BIT_04  0x10
//#define BIT_05  0x20
//#define BIT_06  0x40
//#define BIT_07  0x80

@interface ControllerView : UIView 
{
	UIImageView *_controllerImageView;
	UIImageView *_controllerImageTenKeyView;
	UITransitionView *_transitionView;
	CGRect ESC;
	CGRect STOP;
	CGRect COPY;
	CGRect F1;
	CGRect F2;
	CGRect F3;
	CGRect F4;
	CGRect F5;
	CGRect PAGEUP;
	CGRect PAGEDOWN;
	CGRect K1;
	CGRect K2;
	CGRect K3;
	CGRect K4;
	CGRect K5;
	CGRect K6;
	CGRect K7;
	CGRect K8;
	CGRect K9;
	CGRect K0;
	CGRect Q;
	CGRect W;
	CGRect E;
	CGRect R;
	CGRect T;
	CGRect Y;
	CGRect U;
	CGRect I;
	CGRect O;
	CGRect P;
	CGRect A;
	CGRect S;
	CGRect D;
	CGRect F;
	CGRect G;
	CGRect H;
	CGRect J;
	CGRect K;
	CGRect L;
	CGRect BS;
	CGRect SHIFT;
	CGRect Z;
	CGRect X;
	CGRect C;
	CGRect V;
	CGRect B;
	CGRect N;
	CGRect M;
	CGRect ENTER;
	CGRect UP;
	CGRect CTRL;
	CGRect KANA;
	CGRect GRAPH;
	CGRect SPACE;
	CGRect COMMA;
	CGRect PERIOD;
	CGRect SLASH;
	CGRect LEFT;
	CGRect RIGHT;
	CGRect DOWN;

	BOOL _fixed;
	SDLKey _preKey ;
	BOOL _ShiftOn;
	BOOL _CtrlOn;
	BOOL _KanaOn;
	BOOL _KeyTenkeyMode;
}

- (id)initWithFrame:(CGRect)frame;
- (void)dealloc;
- (void)drawRect:(CGRect)frame;
- (BOOL)ignoresMouseEvents;
- (void)fixRects;
- (void)controllerButtonPressed:(struct __GSEvent *)event:(int)IsPressed;
- (void)mouseDown:(struct __GSEvent *)event;
//- (void)mouseDragged:(struct __GSEvent *)event;
- (void)mouseUp:(struct __GSEvent *)event;

@end
