#import <CoreFoundation/CoreFoundation.h>
#import <Foundation/Foundation.h>
#import <UIKit/CDStructures.h>
#import <UIKit/UIWindow.h>
#import <UIKit/UIView-Hierarchy.h>
#import <UIKit/UIHardware.h>
#import <UIKit/UIKit.h>
#import <UIKit/UIApplication.h>
#import <UIKit/UITextView.h>
#import <UIKit/UIView.h>
#import <UIKit/UIKeyboard.h>
#import <UIKit/UIPreferencesTable.h>
#import <UIKit/UIPreferencesTableCell.h>
#import <UIKit/UIPreferencesTextTableCell.h>
#import <UIKit/UIPreferencesControlTableCell.h>
#import <UIKit/UIPreferencesDeleteTableCell.h>
#import <UIKit/UISwitchControl.h>
#import <UIKit/UINavigationItem.h>
#import <UIKit/UITextField.h>
#import <UIKit/UISegmentedControl.h>
//#import <UIKit/UIWebView.h>
#import <UIKit/UITransitionView.h>
#import <UIKit/UINavigationItem.h>
#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import <UIKit/UIApplication.h>
#import <UIKit/UIPushButton.h>
#import <UIKit/UITableCell.h>
#import <UIKit/UIImageAndTextTableCell.h>
#import"SettingView.h"
#include "iphoneInterface.h"
#import"FileBrowser.h"
#include "initval.h"

@implementation SettingView 
- (id)initWithFrame:(CGRect)rect
{
	_openDrive = 0;
	iphone_load_setting();
	[super initWithFrame:rect];
	CGRect navRect = CGRectMake(0,0,rect.size.width,NAVBARHEIGHT);
	CGRect _viewRect = CGRectMake(0,0/*NAVBARHEIGHT*/,rect.size.width,rect.size.height /*- NAVBARHEIGHT*/);
	CGRect contentRect = CGRectMake(0,NAVBARHEIGHT,rect.size.width,rect.size.height - NAVBARHEIGHT);

	_transitionView = [[UITransitionView alloc] initWithFrame:_viewRect];
	[self addSubview:_transitionView];
	[_transitionView setDelegate:self];
	
	_contentView = [[UIView alloc] initWithFrame:rect] ;


	//NavBar쐬
	_navBar = [[UINavigationBar alloc] initWithFrame:navRect];
	[_navBar enableAnimation];
	[_navBar setDelegate:self];
	//[_navBar setItemDelegate:self];

	//NavItem쐬
	UINavigationItem* navItem = [[UINavigationItem alloc] initWithTitle:NSLocalizedString(@"Settings",@"")];
	[_navBar pushNavigationItem:navItem];
	[_navBar showLeftButton:@"Reset" withStyle:1 rightButton:NSLocalizedString(@"Done", nil) withStyle:3];
	[_navBar setBarStyle:3];
		
	[_contentView addSubview:_navBar];
		
	_prefsTable = [[UIPreferencesTable alloc] initWithFrame:contentRect];
//
	[_prefsTable setDelegate:self];
	[_prefsTable setDataSource:self];
//------------------------------------------

 	_basicSelectSegCtrl = [[UISegmentedControl alloc] initWithFrame:CGRectMake(20.0f, 3.0f , 280.0f, 55.0f )];
//	[_basicSelectSegCtrl insertSegment:0 withTitle:@"AUTO" animated:NO];
	[_basicSelectSegCtrl insertSegment:0 withTitle:@"N" animated:NO];
	[_basicSelectSegCtrl insertSegment:1 withTitle:@"V1S" animated:NO];
	[_basicSelectSegCtrl insertSegment:2 withTitle:@"V1H" animated:NO];
	[_basicSelectSegCtrl insertSegment:3 withTitle:@"V2" animated:NO];
	

	[_basicSelectSegCtrl setDelegate: self];
	_basicSelectSegCell = [[UIPreferencesTextTableCell alloc] initWithFrame:CGRectMake(0.0f, 0.0f, 320, 48.0f )];

	[_basicSelectSegCell addSubview: _basicSelectSegCtrl];
	[_basicSelectSegCell setDrawsBackground:NO];

	[_basicSelectSegCtrl selectSegment: [self getBasicModeSeg :prefsData.BasicMode]];

	_diskASelectCell = [[UIPreferencesTableCell alloc] initWithFrame:CGRectMake(0.0f, 0.0f, 320, 48.0f)];
	[_diskASelectCell setTitle:NSLocalizedString(@"DRIVE 1:", nil)];
    [_diskASelectCell setShowDisclosure:TRUE];
    [_diskASelectCell setDisclosureStyle:1];
    NSString	*strA = [NSString stringWithFormat:@"%s", prefsData.strDiskA];
	[_diskASelectCell setValue:strA];

	_imageASelectCell = [[UIPreferencesTableCell alloc] initWithFrame:CGRectMake(0.0f, 0.0f, 320, 48.0f)];
	[_imageASelectCell setTitle:NSLocalizedString(@" IMAGE:", nil)];

	char diskImage[256];
	strcpy(diskImage,ext_getimgname(0,ext_get_curimage(0)));
    NSString	*strDiskImage = [NSString stringWithFormat:@"%s", diskImage];
	[_imageASelectCell setValue:strDiskImage];
	if(ext_getdiskimgs(0) > 2)
	{
	    [_imageASelectCell setShowDisclosure:TRUE];
	    [_imageASelectCell setDisclosureStyle:1];
	}
	else
	{
		[_imageASelectCell setShowDisclosure:FALSE];
	}
	
	_diskBSelectCell = [[UIPreferencesTableCell alloc] initWithFrame:CGRectMake(0.0f, 0.0f, 320, 48.0f)];
	[_diskBSelectCell setTitle:NSLocalizedString(@"DRIVE 2:", nil)];
    [_diskBSelectCell setShowDisclosure:TRUE];
    [_diskBSelectCell setDisclosureStyle:1];
    NSString	*strB = [NSString stringWithFormat:@"%s", prefsData.strDiskB];
	[_diskBSelectCell setValue:strB];

	_imageBSelectCell = [[UIPreferencesTableCell alloc] initWithFrame:CGRectMake(0.0f, 0.0f, 320, 48.0f)];
	[_imageBSelectCell setTitle:NSLocalizedString(@" IMAGE:", nil)];

	strcpy(diskImage,ext_getimgname(1,ext_get_curimage(1)));
    strDiskImage = [NSString stringWithFormat:@"%s", diskImage];
	[_imageBSelectCell setValue:strDiskImage];
	if(ext_getdiskimgs(1) > 2)
	{
	    [_imageBSelectCell setShowDisclosure:TRUE];
	    [_imageBSelectCell setDisclosureStyle:1];
	}
	else
	{
		[_imageBSelectCell setShowDisclosure:FALSE];
	}


	//setup browser
	_browser = [[FileBrowser alloc] initWithFrame:CGRectMake(0, 0, _viewRect.size.width, _viewRect.size.height)];
	[_browser setExtensions:[NSArray arrayWithObjects:@"d88", @"", nil]];
	[_browser setPath:PC88PATH];
	[_browser setDelegate:self];

	_imagebrowser = [[ImageBrowser alloc] initWithFrame:CGRectMake(0, 0, _viewRect.size.width, _viewRect.size.height)];
	[_imagebrowser setOpenDrive:0];
	[_imagebrowser setDelegate:self];


	[_prefsTable reloadData];
	[_contentView addSubview:_prefsTable];
	[_transitionView transition:0 toView:_contentView];

	return self;
}




- (void)setDelegate : (id) dele
{
	_delegate = dele;
//	[super setDelegate: dele];
}

- (void) dealloc
{

	[_browser release];
	[_imagebrowser release];
	[_resetSelectCell release];
	[_basicSelectSegCtrl release];
	[_basicSelectSegCell release];
	[_clockSelectCell release];
	
	[_diskASelectCell release];
	[_diskBSelectCell release];
		
	[_prefsTable release];
	[_navBar release];
	[_transitionView release];
	[_contentView release];
	[super dealloc];


}



#define MAX_RANGE_SIZE 160
#define MIN_RANGE_SIZE 48
#define MAX_SCROLL_SIZE 100
#define MIN_SCROLL_SIZE 1

//------------------------delegate
- (void)navigationBar:(UINavigationBar*)navBar buttonClicked:(int)button
{
	if(button == 1)
	{
		UIAlertSheet *alert = [[[UIAlertSheet alloc] init] autorelease];
		[alert setDelegate: self];
		[alert setTitle: @"Do you really reset Quasi88?"];
		[alert addButtonWithTitle: @"OK"];
		[alert addButtonWithTitle: @"Cancel"];
		[alert popupAlertAnimated: YES];
		[alert setTag: 1];
	}
	else
	{
		prefsData.Reset = FALSE;
	    prefsData.BasicMode = [_basicSelectSegCtrl selectedSegment ];

		if( [_delegate respondsToSelector:@selector( settingView:done: )] )
		{	
			[_delegate settingView:self done:nil];
		}
	}
}

- (void)alertSheet:(UIAlertSheet*)sheet buttonClicked:(int)button
{
	if( [sheet tag] == 1 ) 
	{
		if( button == 1 ) 
		{
			prefsData.Reset = TRUE;
		    
			if( [_delegate respondsToSelector:@selector( settingView:done: )] )
			{	
				[_delegate settingView:self done:nil];
			}
		}
	}
	[sheet dismissAnimated: YES];
}

- (int)numberOfGroupsInPreferencesTable:(UIPreferencesTable *)table
{
	return 2;
}

- (int)preferencesTable:(UIPreferencesTable *)table numberOfRowsInGroup:(int)group
{
	switch (group)
	{
		case 0: 
			return 1;	
		case 1:
			return 4;
	}
}


- (float)preferencesTable:(id)table heightForRow:(int)row inGroup:(int)group withProposedHeight:(float)proposedHeight;
{
	return 48.0f;
}

- (void)tableRowSelected:(NSNotification *)notification 
{
	int i = [_prefsTable selectedRow];
  	switch (i)
	{
		default:
		[[_prefsTable cellAtRow:i column:0] setSelected:NO];
		break;
	}
}

- (UIPreferencesTableCell *)preferencesTable:(UIPreferencesTable *)table cellForRow:(int)row inGroup:(int)group
{
	if (group == 0)
	{
		if(row == 0)return _basicSelectSegCell;
		//if(row == 1)return _clockSelectCell;
	} 
	else if(group == 1)
	{
		if(row == 0)return _diskASelectCell;
		if(row == 1)return _imageASelectCell;
		if(row == 2)return _diskBSelectCell;
		if(row == 3)return _imageBSelectCell;

	}
	return nil;
}

- (id)preferencesTable:(id)preferencesTable titleForGroup:(int)group
{
	NSString *title = nil;
	switch (group)
	{
	case 0:
		title = NSLocalizedString(@"BASIC MODE(Change After Reset)", nil);//,  [lines objectAtIndex:4];
		break;
	case 1:
		title = NSLocalizedString(@"Disk Setting", nil);//,  [lines objectAtIndex:4];
		break;
	}
	return title;
}

- (void) segmentedControl: (UISegmentedControl *)segment selectedSegmentChanged: (int)seg
{
	switch(seg)
	{
	case 0:
		prefsData.BasicMode = BASIC_N;
		break;
	case 1:
		prefsData.BasicMode = BASIC_V1S;
		break;
	case 2:
		prefsData.BasicMode = BASIC_V1H;
		break;
	case 3:
		prefsData.BasicMode = BASIC_V2;
		break;
	}
}

- (int) getBasicModeSeg:(int)selectBasicMode{

	switch(selectBasicMode)
	{
	case BASIC_V2:
		return 3;
	case BASIC_N:
		return 2;
	case BASIC_V1S:
		return 3;
	case BASIC_V1H:
		return 4;
	}
	
	return 0;	

}

- (void)tableSelectionDidChange:(NSNotification*)notification {
	if ([_prefsTable selectedRow] == 3) {
		_openDrive = 1;
		[_transitionView transition:1 toView:_browser];
	}

	if ([_prefsTable selectedRow] == 4) {
		if(ext_getdiskimgs(0) > 2)
		{
			_openDrive = 1;
			[_imagebrowser setOpenDrive:1];
			[_imagebrowser reloadData];
			[_transitionView transition:1 toView:_imagebrowser];
		}
	}

	if ([_prefsTable selectedRow] == 5) {
		_openDrive = 2;
		[_transitionView transition:1 toView:_browser];
	}
	
	if ([_prefsTable selectedRow] == 6) {
		if(ext_getdiskimgs(1) > 2)
		{
			_openDrive = 2;
			[_imagebrowser setOpenDrive:1];
			[_imagebrowser reloadData];
			[_transitionView transition:1 toView:_imagebrowser];
		}
	}

}

- (void)EndSelectFile : (FileBrowser*)browser done: (int) ok
{

	char diskFile[256];
	char diskImage[256];
	memset(diskFile,0,sizeof(diskFile));
	memset(diskImage,0,sizeof(diskImage));

	if(1 == ok)
	{

    	NSString *strDisk = [browser selectedFile];
   		if(strDisk != nil) 
   		{
   			if(NSOrderedSame != [strDisk compare:@"[NO SELECT]"])
   			{
				sprintf(diskFile,"/var/root/Media/ROMs/PC88/%s", [strDisk cString]);
   				ext_opendisk(_openDrive - 1,diskFile);
				strcpy(diskImage,ext_getimgname(_openDrive - 1, 1));
   			}
   			else
   			{
   				ext_ejectDisk(_openDrive - 1);
   				strDisk = @"";
				strcpy(diskImage,ext_getimgname(_openDrive - 1, 0));
   			}
		}

		if(1 == _openDrive)
		{

			[_diskASelectCell setValue:strDisk];
		    NSString	*strDiskImage = [NSString stringWithFormat:@"%s", diskImage];
			[_imageASelectCell setValue:strDiskImage];
			int i;
			if(ext_getdiskimgs(0) > 2)
			{
			    [_imageASelectCell setShowDisclosure:TRUE];
			    [_imageASelectCell setDisclosureStyle:1];
			}
			else
			{
				[_imageASelectCell setShowDisclosure:FALSE];
			}
		}
		else if(2 == _openDrive)
		{
			[_diskBSelectCell setValue:strDisk];
		    NSString	*strDiskImage = [NSString stringWithFormat:@"%s", diskImage];
			[_imageBSelectCell setValue:strDiskImage];
			if(ext_getdiskimgs(1) > 2)
			{
			    [_imageBSelectCell setShowDisclosure:TRUE];
			    [_imageBSelectCell setDisclosureStyle:1];
			}
			else
			{
				[_imageBSelectCell setShowDisclosure:FALSE];
			}
		}
		
		_openDrive = 0;
	}
	[_transitionView transition: 2 toView:_contentView];

}

- (void)EndSelectImage : (ImageBrowser*)imagebrowser 
{

   	int nSelectedImage = [imagebrowser selectedImage] + 1;

   	char diskImage[256];
   	
   	if(	0 == _openDrive)
   	{
   		return;
   	}

   	if ((nSelectedImage >= 1)&&(nSelectedImage < ext_getdiskimgs(_openDrive - 1)))
   	{
   		ext_setdrvimage(_openDrive - 1 ,nSelectedImage );
		strcpy(diskImage,ext_getimgname(_openDrive - 1,nSelectedImage));
    	NSString	*strDiskImage = [NSString stringWithFormat:@"%s", diskImage];
    	if(1 == _openDrive)
		{
			[_imageASelectCell setValue:strDiskImage];
		}
		else
		{
 			[_imageBSelectCell setValue:strDiskImage];
 		}
   	}
	_openDrive = 0;
	[_transitionView transition: 2 toView:_contentView];

}
@end

